View Issue Details

IDProjectCategoryView StatusLast Update
0001011Far ManagerPlugins APIpublic2011-02-10 22:20
Reporterfree3domAssigned Tozg 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0 
Summary0001011: Unable to programatically determine on which side (left/right) drive menu is shown
DescriptionWhen a plugin is invoked from a Drive Menu entry (ie. OpenPluginW() with OpenFrom==OPEN_DISKMENU) there is no way to determine on which side (left/right; ie. ALT+F1/ALT+F2) the Drive Menu was shown. All that is supplied in OpenPluginW() is the item number. There has to be a way to either query for this using a command, or provide this directly to the OpenPluginW() function.
TagsNo tags attached.
Build1850

Activities

max rusov

2010-08-26 01:29

reporter   bugnote:0005724

Возможно, стоит решить эту проблему? Это пригодилось бы для многих плагинов.

JohnDoe

2010-08-26 13:41

updater   bugnote:0005725

До кучи: последний раз тема актуализировалась при обсуждении плагина SameFolder+
http://forum.farmanager.com/viewtopic.php?p=67614#p67614

alexy

2011-02-10 22:20

administrator   bugnote:0006436

1850

Issue History

Date Modified Username Field Change
2009-08-16 18:35 free3dom New Issue
2010-08-26 01:29 max rusov Note Added: 0005724
2010-08-26 13:41 JohnDoe Note Added: 0005725
2011-02-10 22:20 alexy Build => 1850
2011-02-10 22:20 alexy Note Added: 0006436
2011-02-10 22:20 alexy Status new => closed
2011-02-10 22:20 alexy Assigned To => zg
2011-02-10 22:20 alexy Resolution open => fixed
2011-02-10 22:20 alexy Fixed in Version => 3.0